Bug 164174

Summary: Add redmine to the bug tracker list
Product: connecteddeveloper Reporter: jpdrawneek4save9 <jpdrawneek4save9>
Component: Issuetracking FrameworkAssignee: Tomas Stupka <tstupka>
Status: NEW --- QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: asm0di0, axp, Briareos, Catchwa, descent89, dext, FastIkarus, fdejaigher, fritzf, gena01, jbcrouigneau, karsten, leonyip, matafagafo, nergal, persapiens2, PyKaB, rastrano, scdataware, soko, thepriz, tmysik, walterheck, weird_ed
Version: 7.3.1   
Target Milestone: TBD   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:

Description jpdrawneek4save9 2009-04-30 10:47:45 UTC
Redmine seems to be gaining support as a development tool.

So it would be nice to have it integrated into Netbeans.

Sorry if dupe, could not find any reference to this topic.
Comment 1 sskjames 2010-02-22 18:56:49 UTC
Yes. Redmine seems to get popular day by day. Would be great to see it integrated in NetBeans.
Comment 2 error403 2010-05-06 11:36:36 UTC
Voted :D
Comment 3 descent89 2010-05-09 05:31:52 UTC
looking forward redmine support :)
Comment 4 error403 2010-05-09 06:26:50 UTC
I guess this feature is related to the task ahead by Redmine. Redmine is planning to launch the REST API for 1.0.0RC version, which is expected within 55 days.

Here we see the progress of version
http://www.redmine.org/versions/show/14

Here is the request for REST requests
http://www.redmine.org/issues/1214

And here the request for the complete REST Redmine
http://www.redmine.org/issues/296

I'll see if I start reading a bit of Ruby to give them a hand and speed up a little processing: P
Comment 5 soko 2010-06-03 22:06:22 UTC
Voted
Comment 6 sparty 2010-06-04 17:05:58 UTC
This would be an excellent addition.
Comment 7 alle_it 2010-08-27 23:40:36 UTC
This would be a nice feature.
Comment 8 ytra 2010-09-03 10:05:52 UTC
Just started working with redmine. Redmine does everthing a project needs and I would be really content if it could be connected to Netbeans.
Comment 9 slydder 2010-09-07 11:14:44 UTC
my vote for as well. ;)
Comment 10 gicts 2010-09-07 12:26:35 UTC
slydder, could you please also vote on the bug and not only comment?
The votes indicate better the importance then any regular comment ;)

I hope this is picked up soon by someone with some serious Netbeans knowhow.
Comment 11 walterheck 2010-10-11 02:12:45 UTC
Voted. Redmine has reached v1.0.1, so I presume this can be implemented now?
Comment 12 kirkstork 2010-10-11 17:46:23 UTC
(In reply to comment #11)
> Voted. Redmine has reached v1.0.1, so I presume this can be implemented now?

Redmine now has a web service/RESTful api available.  I wonder if a good place  for this feature would be in the codeon plug in...
Comment 13 eyeofhell 2010-11-16 08:52:05 UTC
Voted.

Redmine REST API is fully functional now, has nice documentation and good support. Netbeans redmine integration will add popularity to both netbeans and redmine projects, making open source development better.
Comment 14 agharta82 2010-12-02 11:11:08 UTC
Voted.
Redmine is fantastic!
Comment 15 Tomas Stupka 2010-12-02 11:15:02 UTC
unfortunately, due to the current resource situation in the bugtracking team a
mantis plugin isn't planed for the upcoming release.
However, in case that anybody from the community want's to contribute, we are
ready to provide any necessary help in means of advice and direction how to
start.
Comment 16 bsjaekel 2010-12-08 13:19:43 UTC
I am interested in providing some help to get the Redmine Support working. Where do i start and what needs to be done? The Jira and Bugzilla Connector may be good examples to start or am i wrong?
Comment 17 eyeofhell 2010-12-08 14:33:32 UTC
I can assist too. I don't have experience writing netbeans addins, but i'm good with redmine REST API.
Comment 18 Tomas Stupka 2010-12-08 16:08:41 UTC
people are asking how to write bugtracking support in nb on various places, so will setup a page with all needed and available info and come back to you then ...
Comment 19 ask_java 2011-02-01 06:06:36 UTC
There's a free open-source Java library to use Redmine through its REST API:
http://taskadapter.com/redmine_java_api
It can be used by Netbeans.
Comment 20 tmueller 2011-03-04 11:34:56 UTC
*vote
Comment 21 Molis 2011-03-21 23:48:13 UTC
Vote
Comment 22 Molis 2011-03-23 00:41:53 UTC
I have started a RedmineNB project at http://redminenb.kenai.com. This project is based upon the suggested Redmine Java API at http://code.google.com/p/redmine-java-api.

I am also using BugZilla NetBeans plugin source as a reference implementation of the general Issue Tracking NetBeans plugin. The source code can be found at http://netbeans.org/downloads/zip.html in a zip path: 'netbeans-{version}-{build]-src.zip/bugzilla'.

Anyone who wants to contribute in any way is welcome :)
Comment 23 compojoom 2011-04-07 11:00:58 UTC
Vote + for this!

Redmine = awesome!
Netbeans = awesome!

redmine + netbeans = awesome^2
Comment 24 TheTwist 2011-05-12 08:09:15 UTC
vote
Comment 25 jwalkerbg 2011-05-23 19:23:13 UTC
Redmine is stable, usable and it's clear that Netbeans should use it as issue tracker tool.

I vote for it.
Comment 26 TheNGR 2011-06-01 14:24:24 UTC
Netbeans Redmine Integration Version 0.1 released: http://tosbourn.com/2011/03/netbeans-redmine-integration/netbeans-redmine-integration-version-0-1-released
Comment 27 larsmagne 2012-02-28 12:33:02 UTC
Any news on this? Couldn't find anything out there
Comment 28 hardchor 2012-02-28 15:08:19 UTC
PHPStorm already offers redmine integration, so I assume it does have a public API by now?
Comment 29 juanitoMint 2012-02-28 15:32:07 UTC
I use redmine too...
Comment 30 cforce 2012-02-28 15:34:41 UTC
Sure, there is a very good rest api.

Redmine exposes some of its data through a REST API. This API provides access and basic CRUD operations (create, update, delete) for the resources described below. The API supports both XML and JSON formats.

http://www.redmine.org/projects/redmine/wiki/Rest_api
Comment 31 wengole 2012-02-28 15:39:03 UTC
This bug has been open almost 3 years, the REST API has been in redmine for over 2 years, I don't see this being implemented anytime soon so suggest it be closed as all recent comments have just been +1s
Comment 32 sebastianovide 2012-02-28 15:53:46 UTC
if we close it, don't we risk of forgetting this nice to have feature ?
Comment 33 fritzf 2012-03-01 13:29:25 UTC
+1
Comment 34 anchialos 2012-03-11 13:21:48 UTC
The first alpha version of the Redmine Plugin for NetBeans is available:

Project@Kenai
http://kenai.com/projects/redminenb/

My Blog
http://anchialas.wordpress.com/2012/03/09/redmine-plugin-for-netbeans/
Comment 35 sebastianovide 2012-03-13 12:46:25 UTC
that is a good news !

I've try to install it but I'm getting this error:

Some plugins require plugin Issue Tracking to be installed.
The plugin Issue Tracking is requested in implementation version 201203012225.  The following plugin is affected:       RedmineNB 

and the next button is disabled...

I'm using a fresh NB 7.1.1
Comment 36 funkyfly 2012-03-13 12:49:53 UTC
Strange, after updating from NB 7.1 to NB 7.1.1 I didn't get this message and could install it...

(In reply to comment #35)
> that is a good news !
> 
> I've try to install it but I'm getting this error:
> 
> Some plugins require plugin Issue Tracking to be installed.
> The plugin Issue Tracking is requested in implementation version 201203012225. 
> The following plugin is affected:       RedmineNB 
> 
> and the next button is disabled...
> 
> I'm using a fresh NB 7.1.1
Comment 37 Mihailoff 2012-04-10 09:23:44 UTC
Same thing NB-7.1 Build 201112071828

(In reply to comment #35)
> that is a good news !
> 
> I've try to install it but I'm getting this error:
> 
> Some plugins require plugin Issue Tracking to be installed.
> The plugin Issue Tracking is requested in implementation version 201203012225. 
> The following plugin is affected:       RedmineNB 
> 
> and the next button is disabled...
> 
> I'm using a fresh NB 7.1.1
Comment 38 leandro.freitas.softdevelop 2012-09-06 17:37:14 UTC
1+ vote.
Comment 39 francois62 2012-10-12 05:51:58 UTC
+1 vote from me!
Comment 40 enzo4 2012-11-29 11:22:00 UTC
+1 vote!
Comment 41 andreyks 2013-03-29 08:16:25 UTC
It is still actual for me. How is progress here?
Comment 42 leonyip 2013-05-03 08:34:17 UTC
i installed the redmine plugin by pointing a new plugin repository to kenai website.
After install the 2 new plug in the Netbeans is having problem starting up , it always stop at "turning on modules".

I need to delete the redmine plug in in my "C:\Users\YourUserNameinPC\AppData\Roaming\NetBeans\7.3\config\Modules and enable back the netbeans.

So in short still a problem to use Redmine plugin.
Comment 43 fdejaigher 2013-12-06 23:13:47 UTC
+1 vote.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo